Skip to main content
`Ctrl`+`K`

# BasePlotter

class ndcube.visualization.BasePlotter(ndcube=None)

  Bases: `ABC`

  Base class for NDCube plotter objects.

  Methods Summary

  `plot`(*args, **kwargs) | The default plot method.

  Methods Documentation

  abstractmethod plot(*args, **kwargs)

    The default plot method.

    `Plotter` classes should provide a `plot()` method which is called when users access `ndcube.NDCube.plot`. It should strive to provide a good overview of the cube by default but the behaviour is left to the implementation.

    The `plot()` method should accept `**kwargs`.